
Foreman - Bug #28891

All hosts showing "Failure: undefined method `title' for nil:NilClass" in Properties pane

01/29/2020 10:33 PM - Spencer Riner

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Organizations and Locations   

Target version: 1.24.3   

Difficulty:  Fixed in Releases: 1.24.3, 2.0.0

Triaged: No Found in Releases: 1.24.2

Bugzilla link: 1909657 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7420

  

Description

Observed "Failure: undefined method `title' for nil:NilClass" message in red dialog box on all hosts in web interface after upgrading

from 1.23.1 to 1.24.2 on three separate Foreman hosts.

Env:

CentOS 7.7.1908

Puppet Open Source (puppet-agent) 5.5.18

Related issues:

Related to Foreman - Refactor #15406: Move puppet_environment overview field ... Closed

Associated revisions

Revision 079723be - 02/10/2020 07:48 AM - Tomer Brisker

Fixes #28891 - Show host properties tab if missing taxonomy (#7420)

If a host isn't assigned to a location or organization, the properties

tab will fail to render.

History

#1 - 02/02/2020 01:27 PM - Marek Hulán

Please upload a production.log with the full trace (the treaceback is the important part), I think I've seen something similar with organizations/locations

recently. If that's the same thing, I have a patch at hand

#2 - 02/06/2020 05:09 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/7420 added

#3 - 02/06/2020 05:09 PM - Tomer Brisker

- Related to Refactor #15406: Move puppet_environment overview field outside core's #overview_fields helper. added

#4 - 02/06/2020 05:10 PM - Tomer Brisker

- Target version set to 1.24.3

#5 - 02/06/2020 05:12 PM - Tomer Brisker

- Category changed from Web Interface to Organizations and Locations

Looks like the condition checking if a host has a location or organization assigned to it before showing it in the properties pane was dropped in a

refactoring.

#6 - 02/06/2020 05:16 PM - Spencer Riner
Thanks for the update. I can upload production.log, but I don't see any tracebacks since we installed 1.24.2, so I don't know if it would be helpful.

#7 - 02/10/2020 07:49 AM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#8 - 02/10/2020 08:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset 079723bee1fa46db45c03cdc8855570b18be0acc.

#9 - 02/10/2020 09:29 AM - Tomer Brisker

- Fixed in Releases 1.24.3 added

#10 - 04/01/2021 09:23 AM - Tomer Brisker

- Bugzilla link set to 1909657
